# Generated by Django 4.2.7 on 2024-03-03 19:28

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('evercycle_models', '0012_carrier_created_by_carrier_updated_at_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='BoxStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.CharField(default='1', max_length=150)),
                ('updated_by', models.CharField(blank=True, max_length=150, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'box_status',
            },
        ),
        migrations.CreateModel(
            name='Tracking',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.CharField(default='1', max_length=150)),
                ('updated_by', models.CharField(blank=True, max_length=150, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('tracking_number', models.CharField(max_length=50)),
                ('label', models.TextField(max_length=100)),
                ('last_retrack_date', models.DateTimeField()),
                ('last_print_date', models.DateTimeField()),
                ('archived', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'tracking',
            },
        ),
        migrations.AlterField(
            model_name='devicetype',
            name='id',
            field=models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
        ),
        migrations.AlterField(
            model_name='processor',
            name='id',
            field=models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
        ),
        migrations.CreateModel(
            name='Tracker',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.CharField(default='1', max_length=150)),
                ('updated_by', models.CharField(blank=True, max_length=150, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('status', models.CharField(choices=[("('unknown', 'Unknown')", 'Unknown'), ("('in_transit', 'In Transit')", 'In Transit'), ("('out_for_delivery', 'Out for Delivery')", 'Out For Delivery'), ("('available_for_pickup', 'Available for pickup')", 'Available For Pickup'), ("('delivered', 'Delivered')", 'Delivered'), ("('return_to_sender', 'Return to Sender')", 'Return To Sender'), ("('failure', 'Failure')", 'Failure'), ("('canceled', 'Canceled')", 'Canceled'), ('error', 'Error')], default="('unknown', 'Unknown')")),
                ('status_details', models.CharField(blank=True, max_length=100, null=True)),
                ('status_date', models.DateTimeField()),
                ('location_city', models.CharField(blank=True, max_length=100, null=True)),
                ('location_state', models.CharField(blank=True, max_length=100, null=True)),
                ('location_postal_code', models.CharField(blank=True, max_length=100, null=True)),
                ('location_country', models.CharField(blank=True, max_length=100, null=True)),
                ('meta_data', models.TextField(blank=True, null=True)),
                ('tracking', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='evercycle_models.tracking')),
            ],
            options={
                'db_table': 'tracker',
            },
        ),
        migrations.CreateModel(
            name='BoxTracking',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.CharField(default='1', max_length=150)),
                ('updated_by', models.CharField(blank=True, max_length=150, null=True)),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('archived', models.BooleanField(blank=True, null=True)),
                ('service_order_uuid', models.CharField(max_length=20)),
                ('error', models.TextField()),
                ('box_status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='evercycle_models.boxstatus')),
                ('box_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='evercycle_models.boxtype')),
                ('outgoing_tracking', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='outgoing_tracking', to='evercycle_models.tracking')),
                ('return_tracking_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='return_tracking', to='evercycle_models.tracking')),
                ('service_order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='evercycle_models.serviceorder')),
            ],
            options={
                'db_table': 'box_tracking',
            },
        ),
    ]
